{% extends 'Default/index.html.twig' %}

{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ operatoreUser.fullName }}</h2>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        <table class="table table-bordered table-striped table-condensed cf">
          <tbody>
          <tr>
            <th>{{ 'general.nome' | trans }}</th>
            <td>{{ operatoreUser.fullName }}</td>
          </tr>
          <tr>
            <th>{{ 'general.username' | trans }}</th>
            <td>{{ operatoreUser.username }}</td>
          </tr>
          <tr>
            <th>{{ 'operatori.ultima_modifica_password' | trans }}</th>
            <td>{% if operatoreUser.lastChangePassword %}{{ operatoreUser.lastChangePassword|format_datetime('medium', 'medium', locale=app.request.locale) }}{% else %} --- {% endif %}</td>
          </tr>
          <tr>
            <th>{{ 'general.email' | trans }}</th>
            <td>{{ operatoreUser.email }}</td>
          </tr>
          {% if not operatoreUser.isSystemUser %}
            <tr>
              <th>{{ 'operatori.enabled_services' | trans }}</th>
              <td>
                <ul class="list-unstyled">
                  {% if servizi_abilitati | length == 0 %}
                    <i>{{ 'operatori.no_enabled_services' | trans }}</i>
                  {% endif %}
                  {% for servizio in servizi_abilitati %}
                    <li>{{ servizio.name }}</li>
                  {% endfor %}
                </ul>
              </td>
            </tr>
          {% endif %}
          </tbody>
        </table>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        <a class="btn btn-primary" href="{{ path('admin_operatore_edit', { 'id': operatoreUser.id }) }}">{{ 'modifica' | trans }}</a>
        <a class="btn btn-danger"
           onclick="return confirm('{{ 'operatori.delete_operator' | trans }}');"
           href="{{ path('admin_operatore_delete', { 'id': operatoreUser.id }) }}">{{ 'elimina' | trans }}</a>
        <a class="btn btn-default btn-100" href="{{ path('admin_operatore_index') }}">{{ 'gruppo_di_servizi.torna_alla_lista' | trans }}</a>
      </div>

    </div>
  </section>
{% endblock %}
